#!/bin/sh

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

prog="`basename $0`"
mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="/usr/local/psa/var/${mu}-selinux_installed.flag"

[ -f "$mu_flag" ] && exit 0

echo_try()
{
    echo -n "Trying to $* ... "
}

echo_ok()
{
    echo "ok"
}

echo_fail()
{
    echo "failed"
}

echo_try "reinstall plesk selinux module"
semodule -r plesk
semodule -i /usr/local/psa/etc/plesk.pp && echo_ok || echo_fail

echo_try "reload selunux policy"
semodule --reload && echo_ok || echo_fail

touch "$mu_flag"
exit 0
